package com.ruoyi.ibs.grid.domain.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;


@TableName("license_authorization_965")
/**
 * 客户授权对象 license_authorization_965
 * 
 * @author ruoyi
 * @date 2025-07-25
 */
public class LicenseAuthorization965
{
    private static final long serialVersionUID = 1L;

    /** 授权单号(UUID同一次授权单号相同) */
    private String authorizeId;

    /** 客户类型 */
    @Excel(name = "客户类型")
    private String customerType;

    /** 授权人姓名 */
    @Excel(name = "授权人姓名")
    private String authorizer;

    /** 授权人身份证号 */
    @Excel(name = "授权人身份证号")
    private String idCard;

    /** 授权人联系电话 */
    @Excel(name = "授权人联系电话")
    private String phone;

    /** 授权人身份证地址 */
    @Excel(name = "授权人身份证地址")
    private String address;

    /** 授权网点机构编码 */
    @Excel(name = "授权网点机构编码")
    private String orgCode;

    /** 客户经理Id */
    @Excel(name = "客户经理Id")
    private String managerId;

    /** 关注状态：0-未关注，1-已关注 */
    @Excel(name = "关注状态：0-未关注，1-已关注")
    private Long isFocus;

    /** 关注人 */
    @Excel(name = "关注人")
    private String observerId;

    /** 授权是否有效:0-失效，1-有效 */
    @Excel(name = "授权是否有效:0-失效，1-有效")
    private Long isEffective;

    /** 授权对象(授权网点 客户经理) */
    @Excel(name = "授权对象(授权网点 客户经理)")
    private String authorizeObj;

    /** 是否在客户池：0-否，1-是 */
    @Excel(name = "是否在客户池：0-否，1-是")
    private Long isClientPool;

    /** 授权书地址 */
    @Excel(name = "授权书地址")
    private String receiptUrl;

    /** 授权开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "授权开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 授权截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "授权截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 授权审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "授权审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /** 授权网点机构名称 */
    @Excel(name = "授权网点机构名称")
    private String orgName;

    /** 客户经理名称 */
    @Excel(name = "客户经理名称")
    private String managerName;

    /** 授权中心id */
    @Excel(name = "授权中心id")
    private String authId;

    /** 客户来源：0-授权，1-分配 */
    @Excel(name = "客户来源：0-授权，1-分配")
    private Long source;

    /** 是否推送银行标志（1：已推送  0：未推送） */
    @Excel(name = "是否推送银行标志", readConverterExp = "1=：已推送,0=：未推送")
    private String pushBankFlag;

    /** 已推送次数 */
    @Excel(name = "已推送次数")
    private Integer pushCount;

    /** 证照完全请求标识（1：已请求过所有证照； 0：未请求过所有证照） */
    @Excel(name = "证照完全请求标识", readConverterExp = "1=：已请求过所有证照；,0=：未请求过所有证照")
    private String licenseDone;

    /** 证照查询授权项 */
    @Excel(name = "证照查询授权项")
    private String licenseQueryAuthItem;

    /** 证照查询授权码 */
    @Excel(name = "证照查询授权码")
    private String licenseQueryAuthCode;

    /** 统计日期 */
    @Excel(name = "统计日期")
    private String dt;

    public void setAuthorizeId(String authorizeId) 
    {
        this.authorizeId = authorizeId;
    }

    public String getAuthorizeId() 
    {
        return authorizeId;
    }
    public void setCustomerType(String customerType) 
    {
        this.customerType = customerType;
    }

    public String getCustomerType() 
    {
        return customerType;
    }
    public void setAuthorizer(String authorizer) 
    {
        this.authorizer = authorizer;
    }

    public String getAuthorizer() 
    {
        return authorizer;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setOrgCode(String orgCode) 
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode() 
    {
        return orgCode;
    }
    public void setManagerId(String managerId) 
    {
        this.managerId = managerId;
    }

    public String getManagerId() 
    {
        return managerId;
    }
    public void setIsFocus(Long isFocus) 
    {
        this.isFocus = isFocus;
    }

    public Long getIsFocus() 
    {
        return isFocus;
    }
    public void setObserverId(String observerId) 
    {
        this.observerId = observerId;
    }

    public String getObserverId() 
    {
        return observerId;
    }
    public void setIsEffective(Long isEffective) 
    {
        this.isEffective = isEffective;
    }

    public Long getIsEffective() 
    {
        return isEffective;
    }
    public void setAuthorizeObj(String authorizeObj) 
    {
        this.authorizeObj = authorizeObj;
    }

    public String getAuthorizeObj() 
    {
        return authorizeObj;
    }
    public void setIsClientPool(Long isClientPool) 
    {
        this.isClientPool = isClientPool;
    }

    public Long getIsClientPool() 
    {
        return isClientPool;
    }
    public void setReceiptUrl(String receiptUrl) 
    {
        this.receiptUrl = receiptUrl;
    }

    public String getReceiptUrl() 
    {
        return receiptUrl;
    }
    public void setBeginTime(Date beginTime) 
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime() 
    {
        return beginTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setCheckTime(Date checkTime) 
    {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() 
    {
        return checkTime;
    }
    public void setOrgName(String orgName) 
    {
        this.orgName = orgName;
    }

    public String getOrgName() 
    {
        return orgName;
    }
    public void setManagerName(String managerName) 
    {
        this.managerName = managerName;
    }

    public String getManagerName() 
    {
        return managerName;
    }
    public void setAuthId(String authId) 
    {
        this.authId = authId;
    }

    public String getAuthId() 
    {
        return authId;
    }
    public void setSource(Long source) 
    {
        this.source = source;
    }

    public Long getSource() 
    {
        return source;
    }
    public void setPushBankFlag(String pushBankFlag) 
    {
        this.pushBankFlag = pushBankFlag;
    }

    public String getPushBankFlag() 
    {
        return pushBankFlag;
    }
    public void setPushCount(Integer pushCount) 
    {
        this.pushCount = pushCount;
    }

    public Integer getPushCount() 
    {
        return pushCount;
    }
    public void setLicenseDone(String licenseDone) 
    {
        this.licenseDone = licenseDone;
    }

    public String getLicenseDone() 
    {
        return licenseDone;
    }
    public void setLicenseQueryAuthItem(String licenseQueryAuthItem) 
    {
        this.licenseQueryAuthItem = licenseQueryAuthItem;
    }

    public String getLicenseQueryAuthItem() 
    {
        return licenseQueryAuthItem;
    }
    public void setLicenseQueryAuthCode(String licenseQueryAuthCode) 
    {
        this.licenseQueryAuthCode = licenseQueryAuthCode;
    }

    public String getLicenseQueryAuthCode() 
    {
        return licenseQueryAuthCode;
    }
    public void setDt(String dt) 
    {
        this.dt = dt;
    }

    public String getDt() 
    {
        return dt;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("authorizeId", getAuthorizeId())
            .append("customerType", getCustomerType())
            .append("authorizer", getAuthorizer())
            .append("idCard", getIdCard())
            .append("phone", getPhone())
            .append("address", getAddress())
            .append("orgCode", getOrgCode())
            .append("managerId", getManagerId())
            .append("isFocus", getIsFocus())
            .append("observerId", getObserverId())
            .append("isEffective", getIsEffective())
            .append("authorizeObj", getAuthorizeObj())
            .append("isClientPool", getIsClientPool())
            .append("receiptUrl", getReceiptUrl())
            .append("beginTime", getBeginTime())
            .append("endTime", getEndTime())
            .append("checkTime", getCheckTime())
            .append("orgName", getOrgName())
            .append("managerName", getManagerName())
            .append("authId", getAuthId())
            .append("source", getSource())
            .append("pushBankFlag", getPushBankFlag())
            .append("pushCount", getPushCount())
            .append("licenseDone", getLicenseDone())
            .append("licenseQueryAuthItem", getLicenseQueryAuthItem())
            .append("licenseQueryAuthCode", getLicenseQueryAuthCode())
            .append("dt", getDt())
            .toString();
    }
}
